### Class

# Lasem DomNamedNodeMap

#### Description

    abstract class Lasem.DomNamedNodeMap : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### lsm_dom_named_node_map_get_item

No description available.

###### lsm_dom_named_node_map_get_length

No description available.

###### lsm_dom_named_node_map_get_named_item

No description available.

###### lsm_dom_named_node_map_remove_named_item

No description available.

###### lsm_dom_named_node_map_set_named_item

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct LasemDomNamedNodeMapClass {
      GObjectClass parent_class;
      LsmDomNode* (* get) (
        LsmDomNamedNodeMap* map,
        const char* name
      );
      LsmDomNode* (* set) (
        LsmDomNamedNodeMap* map,
        LsmDomNode* node
      );
      LsmDomNode* (* remove) (
        LsmDomNamedNodeMap* map,
        const char* name
      );
      LsmDomNode* (* get_item) (
        LsmDomNamedNodeMap* map,
        unsigned int index
      );
      unsigned int (* get_length) (
        LsmDomNamedNodeMap* map
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get: LsmDomNode* (* get) ( LsmDomNamedNodeMap* map, const char* name )`

  No description available.

`set: LsmDomNode* (* set) ( LsmDomNamedNodeMap* map, LsmDomNode* node )`

  No description available.

`remove: LsmDomNode* (* remove) ( LsmDomNamedNodeMap* map, const char* name )`

  No description available.

`get_item: LsmDomNode* (* get_item) ( LsmDomNamedNodeMap* map, unsigned int index )`

  No description available.

`get_length: unsigned int (* get_length) ( LsmDomNamedNodeMap* map )`

  No description available.

#### Virtual methods

###### Lasem.DomNamedNodeMapClass.get

No description available.

###### Lasem.DomNamedNodeMapClass.get_item

No description available.

###### Lasem.DomNamedNodeMapClass.get_length

No description available.

###### Lasem.DomNamedNodeMapClass.remove

No description available.

###### Lasem.DomNamedNodeMapClass.set

No description available.